% Description:
% ------------
% A simple example to demonstrate the HFSS-MATLAB-API. This script will
% open and run the HFSS project "tmpDipole.hfss" existing in the folder of
% ../hfssapi/hfssPrjForTest.

clc;clear all;close all;

% add paths to the required m-files of  HFSS-MATLAB-API. This *.m file is 
% in the folder of ../hfssapi/examples, the hfssapi folder is where
% HFSS-MATLAB-API exists.
addpath('../3dmodeler/');
addpath('../general/');
addpath('../analysis/');
addpath('../boundary/');

PrjFile = '..\hfssPrjForTest\tmpDipole.hfss';
% Temporary Files. These files can be deleted after the optimization
% is complete. We have to specify the complete path for all of them.
hfssTempPath = 'E:\tmpHFSS';

tmpScriptFile = [hfssTempPath '\' 'tmpDipole_Open_Run_Exit.vbs'];

% HFSS Executable Path.
hfssExePath = 'C:\"Program Files"\Ansoft\HFSS14.0\Win64\hfss.exe';

disp('Creating the Script File ...');

% Create a new temporary HFSS script file.
fid = fopen(tmpScriptFile, 'wt');

% Open the existing PrjFile HFSS Project.
hfssOpenProject(fid,PrjFile);

% Run the Project.   
fprintf(fid, ' Set oDesign = oProject.GetActiveDesign()\n');
fprintf(fid, 'oDesign.AnalyzeAll\n');

% Save the project.
hfssSaveProject(fid, PrjFile);

% Close the HFSS Script File.
fclose(fid);

% Execute the Script by starting HFSS.
disp('Solving using HFSS ..');
IconMode = false;
RunAndExit = true;
hfssExecuteScript(hfssExePath, tmpScriptFile, IconMode, RunAndExit);

% remove all the added paths.
rmpath('../3dmodeler/');
rmpath('../general/');
rmpath('../analysis/');
rmpath('../boundary/');
